Subject: Re: bug#7916: [PATCH] cc-mode does not fontify constructors and destructors with exception specifications

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 27 Jun 2019 18:36:59 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Daniel Colascione <[email-masked]> writes:
>
>> struct foo {
>>     foo() throw()  {}
>>     ~foo() throw() {}
>> };
>>
>> struct bar {
>>     bar() throw();
>>     ~bar() throw();
>> }
>>
>> struct qux {
>>     qux();
>>     ~qux() {}
>> };
>>
>> qux::qux<int>() {
>>
>> }
>>
>> bar::~bar() throw()
>> {}
>
> This seems to be working OK on the Emacs trunk, I think.  Although I'm
> not quite sure what I should be looking for.

There was no response three years ago, and putting that in a .cc file
and loading it, I can't see anything particularly wrong, so I'm closing
this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no